#!/usr/bin/env python

# Copyright (C) 2008, 2009, 2012  James Troup <james.troup@canonical.com>
# Copyright (C) 2009  LaMont Jones <lamont.jones@canonical.com>

################################################################################

from optparse import OptionParser

import nagios_plugin


###########################################################################

def check_and_open(filename, time_limit):
    nagios_plugin.check_file_freshness(filename, time_limit)
    return open(filename)


###########################################################################

def check_file_contents(input_filename, time_limit):
    input_file = check_and_open(input_filename, time_limit)
    for line in input_file.readlines():
        line = line.rstrip()
        if not line:
            continue
        if line.startswith("WARN"):
            raise nagios_plugin.WarnError(line)
        elif line.startswith("OK"):
            print line
        else:
            raise nagios_plugin.CriticalError(line)


################################################################################

def main():
    parser = OptionParser()
    parser.add_option("--time", dest="time_limit",
                      help="freshness time limit [default=%default]",
                      metavar="SECONDS", default="1200")

    (opts, args) = parser.parse_args()

    nagios_plugin.try_check(check_file_contents, args[0], opts.time_limit)
    print "All OK"


if __name__ == "__main__":
    main()
